import request from '@/utils/request'

// 查询文章分类列表
export function listArticleCate(query) {
  return request({
    url: '/store/articleCate/list',
    method: 'get',
    params: query
  })
}

// 查询文章分类详细
export function getArticleCate(cateId) {
  return request({
    url: '/store/articleCate/' + cateId,
    method: 'get'
  })
}

// 新增文章分类
export function addArticleCate(data) {
  return request({
    url: '/store/articleCate',
    method: 'post',
    data: data
  })
}

// 修改文章分类
export function updateArticleCate(data) {
  return request({
    url: '/store/articleCate',
    method: 'put',
    data: data
  })
}

// 删除文章分类
export function delArticleCate(cateId) {
  return request({
    url: '/store/articleCate/' + cateId,
    method: 'delete'
  })
}

// 导出文章分类
export function exportArticleCate(query) {
  return request({
    url: '/store/articleCate/export',
    method: 'get',
    params: query
  })
}

export function getArticleCates(query) {
  return request({
    url: '/store/articleCate/getArticleCates',
    method: 'get',
    params: query
  })
}